"{ Package: 'stx:libscm' }"

"{ NameSpace: Smalltalk }"

LibraryDefinition subclass:#stx_libscm
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!stx_libscm class methodsFor:'description'!

subProjects
    "list packages which are known as subprojects.
     The generated makefile will enter those and make there as well.
     However: they are not forced to be loaded when a package is loaded;
     for those, redefine #referencedPrerequisites or #mandatoryPreRequisites."

    ^ #(
        #'stx:libscm/common'
        #'stx:libscm/mercurial'
        #'stx:libscm/github'
    )

    "Modified: / 03-07-2018 / 09:40:17 / Claus Gittinger"
! !

!stx_libscm class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

